Determines the ordering of the facet field constraints

- « SolrQuery::setFacetPrefix

- SolrQuery::setGroup »

- PHP Manual
- SolrQuery
- Determines the ordering of the facet field constraints

# SolrQuery::setFacetSort

(PECL solr >= 0.9.2)

SolrQuery::setFacetSort — Determines the ordering of the facet field constraints

### Description

public SolrQuery::setFacetSort(int `$facetSort`, string `$field_override` = ?): SolrQuery

Determines the ordering of the facet field constraints

### Parameters

`facetSort`

  Use SolrQuery::FACET_SORT_INDEX for sorting by index order or SolrQuery::FACET_SORT_COUNT for sorting by count.

`field_override`

  The name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.